directories
  '*.dmf' = 'C:\Program Files\Control Web 2000\Dmf';
  '*.par' = 'C:\Program Files\Control Web 2000\Par';
  '*.ICO' = 'C:\PROGRAM FILES\CONTROL WEB 2000\ico';
end_directories;

settings
  operation_mode = real_time;
  input_timeout = 1;
  output_timeout = 1;
  time_error_limit = 1;
  paint_time_limit = 2;
  show_timing_info = true;
  skip_init_procedures = true;
end_settings;

const
end_const;

var
end_var;

driver
  pca = 'pca1288.dll', 'PCA1288.DMF', 'PCA1288.PAR';
end_driver;

channel
  k0 = real, 0, pca, input;
  k1 = real, 1, pca, input;
  k10 = boolean, 10, pca, output, false;
  k11 = boolean, 11, pca, output, false;
  k12 = boolean, 12, pca, output, false;
  k13 = boolean, 13, pca, output, false;
  k14 = boolean, 14, pca, output, false;
  k15 = boolean, 15, pca, output, false;
  k16 = boolean, 16, pca, output, false;
  k17 = boolean, 17, pca, output, false;
  k18 = longcard, 18, pca, input;
  k19 = longcard, 19, pca, input;
  k2 = real, 2, pca, input;
  k20 = longcard, 20, pca, input;
  k21 = longcard, 21, pca, input;
  k22 = longcard, 22, pca, input;
  k23 = longcard, 23, pca, input;
  k24 = longcard, 24, pca, input;
  k25 = longcard, 25, pca, input;
  k26 = longcard, 26, pca, input;
  k3 = real, 3, pca, input;
  k30 = boolean, 10, pca, output, false;
  k31 = boolean, 11, pca, output, false;
  k32 = boolean, 10, pca, output, false;
  k33 = boolean, 10, pca, output, false;
  k34 = boolean, 10, pca, output, false;
  k35 = boolean, 10, pca, output, false;
  k36 = boolean, 10, pca, output, false;
  k37 = boolean, 10, pca, output, false;
  k4 = real, 4, pca, input;
  k40 = real, 40, pca, output, 0;
  k41 = real, 41, pca, output, 0;
  k42 = real, 42, pca, output, 0;
  k43 = real, 43, pca, output, 0;
  k44 = real, 44, pca, output, 0;
  k45 = real, 45, pca, output, 0;
  k46 = real, 46, pca, output, 0;
  k47 = real, 47, pca, output, 0;
  k5 = real, 5, pca, input;
  k50 = boolean, 50, pca, input;
  k51 = boolean, 51, pca, input;
  k52 = boolean, 52, pca, input;
  k53 = boolean, 53, pca, input;
  k54 = boolean, 54, pca, input;
  k55 = boolean, 55, pca, input;
  k56 = boolean, 56, pca, input;
  k57 = boolean, 57, pca, input;
  k6 = real, 6, pca, input;
  k7 = real, 7, pca, input;
  k70 = boolean, 70, pca, output, false;
  k71 = boolean, 71, pca, output, false;
  k72 = boolean, 72, pca, output, false;
  k73 = boolean, 73, pca, output, false;
  k74 = boolean, 74, pca, output, false;
  k75 = boolean, 75, pca, output, false;
  k76 = boolean, 76, pca, output, false;
  k77 = boolean, 77, pca, output, false;
  k8 = real, 7, pca, input;
  k9 = real, 7, pca, input;
end_channel;

timer
end_timer;

instrument

  window panel backpane;
    rem = 'hlavn panel aplikace';
    owner = background;
    position = 3, 21, 794, 548;
    win_disable = zoom;
    win_title = 'pca1288';
    visibility = false;
  end_panel;

  meter meter_1;
    timer = 0.5;
    owner = backpane;
    position = 22, 134, 175, 40;
    expression = k4;
    mode = dot_digital;
    range_from = -1000;
    range_to = 1000;
    low_limit = -1000;
    high_limit = 1000;
    dec_places = 3;
  end_meter;

  meter meter_1;
    timer = 0.5;
    owner = backpane;
    position = 207, 134, 175, 40;
    expression = k5;
    mode = dot_digital;
    range_from = -1000;
    range_to = 1000;
    low_limit = -1000;
    high_limit = 1000;
    dec_places = 3;
  end_meter;

  meter meter_1;
    timer = 0.5;
    owner = backpane;
    position = 392, 134, 175, 40;
    expression = k6;
    mode = dot_digital;
    range_from = -1000;
    range_to = 1000;
    low_limit = -1000;
    high_limit = 1000;
    dec_places = 3;
  end_meter;

  meter meter_1;
    timer = 0.5;
    owner = backpane;
    position = 577, 134, 175, 40;
    expression = k7;
    mode = dot_digital;
    range_from = -1000;
    range_to = 1000;
    low_limit = -1000;
    high_limit = 1000;
    dec_places = 3;
  end_meter;

  meter meter_1;
    timer = 0.5;
    owner = backpane;
    position = 577, 74, 175, 40;
    expression = k3;
    mode = dot_digital;
    range_from = -1000;
    range_to = 10000;
    low_limit = -1000;
    high_limit = 1000;
    dec_places = 3;
  end_meter;

  meter meter_1;
    timer = 0.5;
    owner = backpane;
    position = 392, 74, 175, 40;
    expression = k2;
    mode = dot_digital;
    range_from = -1000;
    range_to = 1000;
    low_limit = -1000;
    high_limit = 1000;
    dec_places = 3;
  end_meter;

  meter meter_1;
    timer = 0.5;
    owner = backpane;
    position = 207, 74, 175, 40;
    expression = k1;
    mode = dot_digital;
    range_from = -1000;
    range_to = 1000;
    low_limit = -1000;
    high_limit = 1000;
    dec_places = 3;
  end_meter;

  panel panel_1;
    owner = backpane;
    position = 7, 9, 110, 40;
    dither_bitmaps;
  end_panel;

  label label_3;
    owner = backpane;
    position = 502, 474;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'DIN';
  end_label;

  label label_3;
    owner = backpane;
    position = 312, 489;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'mSek';
  end_label;

  label label_3;
    owner = backpane;
    position = 187, 9;
    font = 'MS Sans Serif (Central European)', 32, bold;
    text = 'Karta TEDIA     PCA-1288';
    colors
      ink = lred;
      top_shadow = black;
      bottom_shadow = black;
    end_colors;
  end_label;

  label label_3;
    owner = backpane;
    position = 727, 459;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '7';
  end_label;

  label label_3;
    owner = backpane;
    position = 702, 459;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '6';
  end_label;

  label label_3;
    owner = backpane;
    position = 677, 459;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '5';
  end_label;

  label label_3;
    owner = backpane;
    position = 652, 459;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '4';
  end_label;

  label label_3;
    owner = backpane;
    position = 627, 459;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '3';
  end_label;

  label label_3;
    owner = backpane;
    position = 602, 459;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '2';
  end_label;

  label label_3;
    owner = backpane;
    position = 577, 459;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '1';
  end_label;

  switch switch_4;
    owner = backpane;
    position = 727, 504, 21, 21;
    output = k77;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_4;
    owner = backpane;
    position = 702, 504, 21, 21;
    output = k76;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_4;
    owner = backpane;
    position = 677, 504, 21, 21;
    output = k75;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_4;
    owner = backpane;
    position = 652, 504, 21, 21;
    output = k74;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_4;
    owner = backpane;
    position = 627, 504, 21, 21;
    output = k73;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_4;
    owner = backpane;
    position = 602, 504, 21, 21;
    output = k72;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_4;
    owner = backpane;
    position = 577, 504, 21, 21;
    output = k71;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_4;
    owner = backpane;
    position = 552, 504, 21, 21;
    output = k70;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  label label_3;
    owner = backpane;
    position = 502, 509;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'DOUT';
  end_label;

  label label_3;
    owner = backpane;
    position = 12, 469;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'Provozn as karty';
  end_label;

  indicator indicator_3;
    timer = 0.1;
    owner = backpane;
    position = 727, 474;
    expression = k57;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_3;
    timer = 0.1;
    owner = backpane;
    position = 702, 474;
    expression = k56;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_3;
    timer = 0.1;
    owner = backpane;
    position = 677, 474;
    expression = k55;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_3;
    timer = 0.1;
    owner = backpane;
    position = 652, 474;
    expression = k54;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_3;
    timer = 0.1;
    owner = backpane;
    position = 627, 474;
    expression = k53;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_3;
    timer = 0.1;
    owner = backpane;
    position = 602, 474;
    expression = k52;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_3;
    timer = 0.1;
    owner = backpane;
    position = 577, 474;
    expression = k51;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  label label_3;
    owner = backpane;
    position = 552, 459;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '0';
  end_label;

  indicator indicator_3;
    timer = 0.1;
    owner = backpane;
    position = 552, 474;
    expression = k50;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  switch switch_2;
    owner = backpane;
    position = 632, 264, 60, 21;
    output = k17;
    mode = text_button;
    true_text = 'Nulovn';
    false_text = 'Nulovn';
    logic = set_true_on_press;
  end_switch;

  switch switch_1;
    owner = backpane;
    position = 577, 264, 46, 21;
    output = k13;
    mode = text_button;
    true_text = 'Stop';
    false_text = 'Start';
  end_switch;

  switch switch_2;
    owner = backpane;
    position = 447, 264, 60, 21;
    output = k16;
    mode = text_button;
    true_text = 'Nulovn';
    false_text = 'Nulovn';
    logic = set_true_on_press;
  end_switch;

  switch switch_2;
    owner = backpane;
    position = 262, 264, 60, 21;
    output = k15;
    mode = text_button;
    true_text = 'Nulovn';
    false_text = 'Nulovn';
    logic = set_true_on_press;
  end_switch;

  switch switch_1;
    owner = backpane;
    position = 392, 264, 46, 21;
    output = k12;
    mode = text_button;
    true_text = 'Stop';
    false_text = 'Start';
  end_switch;

  switch switch_1;
    owner = backpane;
    position = 207, 264, 46, 21;
    output = k11;
    mode = text_button;
    true_text = 'Stop';
    false_text = 'Start';
  end_switch;

  label label_3;
    owner = backpane;
    position = 682, 319;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'DA7';
  end_label;

  label label_3;
    owner = backpane;
    position = 592, 319;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'DA6';
  end_label;

  label label_3;
    owner = backpane;
    position = 492, 319;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'DA5';
  end_label;

  label label_3;
    owner = backpane;
    position = 397, 319;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'DA4';
  end_label;

  label label_3;
    owner = backpane;
    position = 302, 319;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'DA3';
  end_label;

  label label_3;
    owner = backpane;
    position = 207, 319;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'DA2';
  end_label;

  label label_3;
    owner = backpane;
    position = 112, 319;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'DA1';
  end_label;

  control control_1;
    owner = backpane;
    position = 677, 334, 82, 95;
    output = k47;
    content = max;
    range_to = 10;
    dec_places = 3;
  end_control;

  control control_1;
    owner = backpane;
    position = 582, 334, 82, 95;
    output = k46;
    content = max;
    range_to = 10;
    dec_places = 3;
  end_control;

  control control_1;
    owner = backpane;
    position = 487, 334, 82, 95;
    output = k45;
    content = max;
    range_to = 10;
    dec_places = 3;
  end_control;

  control control_1;
    owner = backpane;
    position = 392, 334, 82, 95;
    output = k44;
    content = max;
    range_to = 10;
    dec_places = 3;
  end_control;

  control control_1;
    owner = backpane;
    position = 297, 334, 82, 95;
    output = k43;
    content = max;
    range_to = 10;
    dec_places = 3;
  end_control;

  control control_1;
    owner = backpane;
    position = 202, 334, 82, 95;
    output = k42;
    content = max;
    range_to = 10;
    dec_places = 3;
  end_control;

  control control_1;
    owner = backpane;
    position = 107, 334, 82, 95;
    output = k41;
    content = max;
    range_to = 10;
    dec_places = 3;
  end_control;

  label label_3;
    owner = backpane;
    position = 17, 319;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'DA0';
  end_label;

  control control_1;
    owner = backpane;
    position = 12, 334, 82, 95;
    output = k40;
    content = max;
    range_to = 10;
    dec_places = 3;
  end_control;

  switch switch_2;
    owner = backpane;
    position = 77, 264, 60, 21;
    output = k14;
    mode = text_button;
    true_text = 'Nulovn';
    false_text = 'Nulovn';
    logic = set_true_on_press;
  end_switch;

  switch switch_1;
    owner = backpane;
    position = 22, 264, 46, 21;
    output = k10;
    mode = text_button;
    true_text = 'Stop';
    false_text = 'Start';
  end_switch;

  label label_3;
    owner = backpane;
    position = 212, 489;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'Sek';
  end_label;

  label label_3;
    owner = backpane;
    position = 112, 489;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'Min';
  end_label;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 312, 504, 95, 35;
    expression = k26;
    mode = dot_digital;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 1000;
    dec_places = 0;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 212, 504, 95, 35;
    expression = k25;
    mode = dot_digital;
    range_to = 5000000000;
    low_limit = 0;
    dec_places = 0;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 112, 504, 95, 35;
    expression = k24;
    mode = dot_digital;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 60;
    dec_places = 0;
  end_meter;

  label label_3;
    owner = backpane;
    position = 12, 489;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'Hod';
  end_label;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 12, 504, 95, 35;
    expression = k23;
    mode = dot_digital;
    range_to = 5000000000;
    low_limit = 0;
    high_limit = 5000000;
    dec_places = 0;
  end_meter;

  label label_3;
    owner = backpane;
    position = 577, 204;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'CNT3';
  end_label;

  label label_3;
    owner = backpane;
    position = 392, 204;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'CNT2';
  end_label;

  label label_3;
    owner = backpane;
    position = 207, 204;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'CNT1';
  end_label;

  label label_3;
    owner = backpane;
    position = 22, 204;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'CNT0';
  end_label;

  meter meter_1;
    timer = 0.2;
    owner = backpane;
    position = 22, 219, 175, 40;
    expression = k18;
    mode = dot_digital;
    range_to = 5000000000;
    low_limit = 5000000000;
    high_limit = 5000000000;
    dec_places = 0;
  end_meter;

  meter meter_1;
    timer = 0.2;
    owner = backpane;
    position = 207, 219, 175, 40;
    expression = k19;
    mode = dot_digital;
    range_to = 5000000000;
    low_limit = 5000000000;
    high_limit = 5000000000;
    dec_places = 0;
  end_meter;

  meter meter_1;
    timer = 0.2;
    owner = backpane;
    position = 392, 219, 175, 40;
    expression = k20;
    mode = dot_digital;
    range_to = 5000000000;
    low_limit = 5000000000;
    high_limit = 5000000000;
    dec_places = 0;
  end_meter;

  meter meter_1;
    timer = 0.2;
    owner = backpane;
    position = 577, 219, 175, 40;
    expression = k21;
    mode = dot_digital;
    range_to = 5000000000;
    low_limit = 5000000000;
    high_limit = 5000000000;
    dec_places = 0;
  end_meter;

  label label_3;
    owner = backpane;
    position = 22, 119;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'AD4';
  end_label;

  label label_3;
    owner = backpane;
    position = 207, 119;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'AD5';
  end_label;

  label label_3;
    owner = backpane;
    position = 392, 119;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'AD6';
  end_label;

  label label_3;
    owner = backpane;
    position = 577, 119;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'AD7';
  end_label;

  label label_3;
    owner = backpane;
    position = 577, 59;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'AD3';
  end_label;

  label label_3;
    owner = backpane;
    position = 392, 59;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'AD2';
  end_label;

  label label_3;
    owner = backpane;
    position = 207, 59;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'AD1';
  end_label;

  label label_3;
    owner = backpane;
    position = 22, 59;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = 'AD0';
  end_label;

  meter meter_1;
    timer = 0.5;
    owner = backpane;
    position = 22, 74, 175, 40;
    expression = k0;
    mode = dot_digital;
    range_from = -1000;
    range_to = 1000;
    low_limit = -1000;
    high_limit = 1000;
    dec_places = 3;
  end_meter;

  box box_3;
    owner = backpane;
    position = 7, 54, 760, 130;
    mode = border_only;
  end_box;

  box box_3;
    owner = backpane;
    position = 7, 199, 760, 100;
    mode = border_only;
  end_box;

  box box_3;
    owner = backpane;
    position = 7, 314, 760, 125;
    mode = border_only;
  end_box;

  box box_3;
    owner = backpane;
    position = 7, 454, 405, 90;
    mode = border_only;
  end_box;

  box box_3;
    owner = backpane;
    position = 492, 454, 275, 90;
    mode = border_only;
  end_box;

  program startup;
    
    procedure OnActivate();
    begin
      backpane.NewRect( WorkX, WorkY, WorkW, WorkD );
      backpane.Show();
      backpane.Select();
    end_procedure;
    
  end_program;

end_instrument;

